<template>
  <section class="landingpage">

    <div class="container">
      <article>
        <header>
          <h1>Search worldwide news<br/>for your <span class="sorare">Sorare</span> Players</h1>
        </header>

        <div class="content">
          <p>Search through hundreds of millions of articles in 14 languages from 55 countries. Sorted by the latest
            published date.</p>

          <ul class="partner">
            <li>
              <a href="https://newsapi.org/" target="_blank"><img src="/image/newsapi.png" alt="NEWSAPI"/></a>
            </li>
            <li>
              <a href="https://sorare.com" target="_blank"><img src="/image/sorare.png" alt="Sorare"/></a>
            </li>
          </ul>
        </div>
      </article>
    </div>
  </section>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  name: 'Landingpage',
  data() {
    return {}
  }
})
</script>

<style lang="scss">
.landingpage {
  position: relative;
  width: 100%;

  .container {
    @include _containerHelper('normal');

    margin-top: 10vh;
    text-align: center;
  }

  .sorare {
    color: $color-primary;
  }

  .partner {
    @include _reset-lists;
    @include _display-flex(flex, center, center);
    @include _list-child-margin($grid-gap, 'li', 'right');
    margin: $grid-gap*3 0;

    img {
      height: 40px;
    }
  }
}
</style>
